Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/orderlist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowOrderStatusToUser = $ini->variable( "eZTradeMain", "ShowOrderStatusToUser" ) == "true"
| $t
| $languageINI = new eZINI( "kernel/eztrade/user/intl/" . $Language . "/orderlist.php.ini", false )
| $order = new eZOrder()
| $user =& eZUser::currentUser()
if(! $user) | $orderArray = $order->getByUser( $Offset, $Limit, $OrderBy, $user )
| $total_count = $order->getCountByUser( $user )
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $i = 0

## Variable Documentation

## ◆ $currency

$currency = new eZCurrency()

Definition at line 85 of file user/orderlist.php.

## ◆ $i

$i = 0

Definition at line 86 of file user/orderlist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file user/orderlist.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 34 of file user/orderlist.php.

## ◆ $languageINI

$languageINI = new eZINI( "kernel/eztrade/user/intl/" . $Language . "/orderlist.php.ini", false )

Definition at line 46 of file user/orderlist.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 84 of file user/orderlist.php.

## ◆ $order

$order = new eZOrder()

Definition at line 69 of file user/orderlist.php.

## ◆ $orderArray

if (! $user) $orderArray = $order->getByUser( $Offset, $Limit, $OrderBy, $user )

Definition at line 79 of file user/orderlist.php.

Referenced by newOrders().

## ◆ $ShowOrderStatusToUser

$ShowOrderStatusToUser = $ini->variable( "eZTradeMain", "ShowOrderStatusToUser" ) == "true"

Definition at line 35 of file user/orderlist.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztrade/user/" . $ini->variable( "eZTradeMain", "TemplateDir" ),
"kernel/eztrade/user/intl/", $Language, "orderlist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: user/orderlist.php:34
$ini
$ini
Definition: user/orderlist.php:33

Definition at line 43 of file user/orderlist.php.

## ◆ $total_count

$total_count = $order->getCountByUser( $user )

Definition at line 80 of file user/orderlist.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 71 of file user/orderlist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.